I am looking for a solution to adding a legend on a parts list.
With in our parts list we identify certain operation that are required to be done to parts. This done be putting an abbreviation in a column.
Ideally what i am after is finding a way of adding a merged row at the bottom of the part list that will explain the abbreviations. Similar to the title of the part list.
Initially there seems no easy way to achieve this by going into the style editor.
Any suggestion and help would be appreciated.
Solved! Go to Solution.
I am looking for a solution to adding a legend on a parts list.
With in our parts list we identify certain operation that are required to be done to parts. This done be putting an abbreviation in a column.
Ideally what i am after is finding a way of adding a merged row at the bottom of the part list that will explain the abbreviations. Similar to the title of the part list.
Initially there seems no easy way to achieve this by going into the style editor.
Any suggestion and help would be appreciated.
Solved! Go to Solution.
Solved by salariua. Go to Solution.
Niels van der Veer
Inventor professional user & 3DS Max enthusiast
Vault professional user/manager
The Netherlands
Niels van der Veer
Inventor professional user & 3DS Max enthusiast
Vault professional user/manager
The Netherlands
I can only think of adding it to the Title which is a single cell, with ilogic.
Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet oSheet = oDrawDoc.ActiveSheet Dim oPartsLists As PartsLists ' Process the rule, wrapping it in a transaction so the ' entire process can be undone with a single undo operation. Dim trans As Transaction trans = ThisApplication.TransactionManager.StartTransaction( _ oDrawDoc, "Change Title of Parts List") 'I assume you ony have one Parts List on the sheet 'get current title oPartsLists = oSheet.PartsLists oTitle = oPartsLists.Item(1).Title 'ask for Legend oLegend = InputBox("Enter Legend", "Legend", "Mach=Machined, Fab=Fabricated") 'set title oNewTitle = oTitle + _ vbLf + _ vbLf + oLegend oPartsLists.Item(1).Title = oNewTitle 'finish the transaction trans.End
I can only think of adding it to the Title which is a single cell, with ilogic.
Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument Dim oSheet As Sheet oSheet = oDrawDoc.ActiveSheet Dim oPartsLists As PartsLists ' Process the rule, wrapping it in a transaction so the ' entire process can be undone with a single undo operation. Dim trans As Transaction trans = ThisApplication.TransactionManager.StartTransaction( _ oDrawDoc, "Change Title of Parts List") 'I assume you ony have one Parts List on the sheet 'get current title oPartsLists = oSheet.PartsLists oTitle = oPartsLists.Item(1).Title 'ask for Legend oLegend = InputBox("Enter Legend", "Legend", "Mach=Machined, Fab=Fabricated") 'set title oNewTitle = oTitle + _ vbLf + _ vbLf + oLegend oPartsLists.Item(1).Title = oNewTitle 'finish the transaction trans.End
You can add a Custom Part straight in the PartsList so you don't clutter your BOM but that will still obey the columns and you can't merge the cells.
I suppose you can just add a generic note on the drawing as symbol or hardcoded in the border, or titleblock if you don't fancy iLogic.
EDIT:
far out and too complicated but you can manage your BOM or Parts List with Excel and insert the spreadsheet as custom table. You then need to add the legend to the spreadsheet.
@Tim.Malkowski Keep in mind that you can change the Direction of the table in Styles and have the table run bottom up and have the header at the bottom.
You can add a Custom Part straight in the PartsList so you don't clutter your BOM but that will still obey the columns and you can't merge the cells.
I suppose you can just add a generic note on the drawing as symbol or hardcoded in the border, or titleblock if you don't fancy iLogic.
EDIT:
far out and too complicated but you can manage your BOM or Parts List with Excel and insert the spreadsheet as custom table. You then need to add the legend to the spreadsheet.
@Tim.Malkowski Keep in mind that you can change the Direction of the table in Styles and have the table run bottom up and have the header at the bottom.
@salariua Ah yeah, that would work too...
I didn't put that much thought into it, just posted what came to mind.
From the options you mention, if i had to do something for our drawings, i'd probably go with the sketch symbol method.
Especially since those are now contained in a symbol library, which makes it easy to access for everyone that needs it.
Niels van der Veer
Inventor professional user & 3DS Max enthusiast
Vault professional user/manager
The Netherlands
@salariua Ah yeah, that would work too...
I didn't put that much thought into it, just posted what came to mind.
From the options you mention, if i had to do something for our drawings, i'd probably go with the sketch symbol method.
Especially since those are now contained in a symbol library, which makes it easy to access for everyone that needs it.
Niels van der Veer
Inventor professional user & 3DS Max enthusiast
Vault professional user/manager
The Netherlands
Can't find what you're looking for? Ask the community or share your knowledge.